%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-noptify
Version:             0.0.3
Release:             1
Summary:             A wrapper for the nopt module with a commander-like API
License:             MIT
URL:                 https://github.com/mklabs/noptify
Source0:             http://registry.npmjs.org/noptify/-/noptify-%{version}.tgz
Source1:             https://raw.githubusercontent.com/mklabs/noptify/cfa11f776ddcd844a04982c0763df546621ce26a/LICENSE-MIT
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(mocha) npm(nopt)
%endif
%description
%{summary}.

%prep
%setup -q -n package
cp -p %{SOURCE1} .
%nodejs_fixdep nopt

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/noptify
cp -pr package.json actions/ index.js util/ \
    %{buildroot}%{nodejs_sitelib}/noptify
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
/usr/bin/mocha --reporter spec
%endif

%files
%doc LICENSE-MIT readme.md
%{nodejs_sitelib}/noptify

%changelog
* Thu Aug 20 2020 wangchong <wangchong56@huawei.com> - 0.0.3-1
- package init
